Bug 1215404 - [abrt] cinnamon: _cogl_set_error(): cinnamon killed by SIGTRAP
Summary: [abrt] cinnamon: _cogl_set_error(): cinnamon killed by SIGTRAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 21
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:86e1084c35439ff050923a1f88c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-26 11:49 UTC by Charlie
Modified: 2015-05-14 07:35 UTC (History)
6 users (show)

Fixed In Version: cinnamon-2.4.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-30 11:34:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (56.02 KB, text/plain)
2015-04-26 11:49 UTC, Charlie
no flags Details
File: cgroup (177 bytes, text/plain)
2015-04-26 11:49 UTC, Charlie
no flags Details
File: core_backtrace (10.35 KB, text/plain)
2015-04-26 11:49 UTC, Charlie
no flags Details
File: dso_list (17.37 KB, text/plain)
2015-04-26 11:49 UTC, Charlie
no flags Details
File: environ (1.82 KB, text/plain)
2015-04-26 11:49 UTC, Charlie
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-26 11:49 UTC, Charlie
no flags Details
File: maps (44.88 KB, text/plain)
2015-04-26 11:49 UTC, Charlie
no flags Details
File: open_fds (2.37 KB, text/plain)
2015-04-26 11:49 UTC, Charlie
no flags Details
File: proc_pid_status (795 bytes, text/plain)
2015-04-26 11:49 UTC, Charlie
no flags Details

Description Charlie 2015-04-26 11:49:31 UTC
Description of problem:
The problem happens on startup/reboot.

Version-Release number of selected component:
cinnamon-2.4.7-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: _cogl_set_error
executable:     /usr/bin/cinnamon
kernel:         3.19.4-200.fc21.i686
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Fri 2013-11-29 11:55:20 EST, end at Sun 2015-04-26 07:30:42 EDT. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 _cogl_set_error at ./cogl-error.c:83
 #2 allocate_from_gl_foreign at driver/gl/cogl-texture-2d-gl.c:386
 #3 _cogl_texture_2d_gl_allocate at driver/gl/cogl-texture-2d-gl.c:470
 #4 _cogl_texture_2d_allocate at ./cogl-texture-2d.c:142
 #5 cogl_texture_allocate at ./cogl-texture.c:1398
 #6 cogl_texture_2d_new_from_data at ./cogl-texture-2d.c:225
 #7 xfixes_cursor_reset_image at cinnamon-xfixes-cursor.c:236
 #8 xfixes_cursor_set_stage at cinnamon-xfixes-cursor.c:143
 #9 object_set_property at gobject.c:1415
 #10 g_object_new_internal at gobject.c:1808

Comment 1 Charlie 2015-04-26 11:49:33 UTC
Created attachment 1018972 [details]
File: backtrace

Comment 2 Charlie 2015-04-26 11:49:34 UTC
Created attachment 1018973 [details]
File: cgroup

Comment 3 Charlie 2015-04-26 11:49:35 UTC
Created attachment 1018974 [details]
File: core_backtrace

Comment 4 Charlie 2015-04-26 11:49:36 UTC
Created attachment 1018975 [details]
File: dso_list

Comment 5 Charlie 2015-04-26 11:49:37 UTC
Created attachment 1018976 [details]
File: environ

Comment 6 Charlie 2015-04-26 11:49:37 UTC
Created attachment 1018977 [details]
File: limits

Comment 7 Charlie 2015-04-26 11:49:38 UTC
Created attachment 1018978 [details]
File: maps

Comment 8 Charlie 2015-04-26 11:49:39 UTC
Created attachment 1018979 [details]
File: open_fds

Comment 9 Charlie 2015-04-26 11:49:40 UTC
Created attachment 1018980 [details]
File: proc_pid_status

Comment 10 Fedora Update System 2015-04-26 13:45:22 UTC
cinnamon-2.4.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cinnamon-2.4.8-1.fc22

Comment 11 Fedora Update System 2015-04-26 13:47:03 UTC
cinnamon-2.4.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cinnamon-2.4.8-1.fc20

Comment 12 Fedora Update System 2015-04-26 13:48:21 UTC
cinnamon-2.4.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cinnamon-2.4.8-1.fc21

Comment 13 Fedora Update System 2015-04-27 08:42:58 UTC
Package cinnamon-2.4.8-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cinnamon-2.4.8-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6977/cinnamon-2.4.8-1.fc21
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2015-04-30 11:34:34 UTC
cinnamon-2.4.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-05-01 16:40:08 UTC
cinnamon-2.4.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-05-08 07:46:16 UTC
cinnamon-2.4.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Roby Stefani 2015-05-14 05:17:40 UTC
Another user experienced a similar problem:

This crash occurs in general when I use firefox and/or libreoffice writer.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        cinnamon --sm-client-id 1097b8ef0627eb05eb139194359173673400000018900000
crash_function: _cogl_set_error
executable:     /usr/bin/cinnamon
kernel:         3.19.7-200.fc21.x86_64
package:        cinnamon-2.4.8-1.fc21
reason:         cinnamon killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 leigh scott 2015-05-14 07:35:52 UTC
(In reply to Roby Stefani from comment #17)
> Another user experienced a similar problem:
> 
> This crash occurs in general when I use firefox and/or libreoffice writer.
> 
> reporter:       libreport-2.3.0
> backtrace_rating: 4
> cmdline:        cinnamon --sm-client-id
> 1097b8ef0627eb05eb139194359173673400000018900000
> crash_function: _cogl_set_error
> executable:     /usr/bin/cinnamon
> kernel:         3.19.7-200.fc21.x86_64
> package:        cinnamon-2.4.8-1.fc21
> reason:         cinnamon killed by SIGTRAP
> runlevel:       N 5
> type:           CCpp
> uid:            1000

I doubt your issue is related to this bug


Note You need to log in before you can comment on or make changes to this bug.